
Foreman - Bug #12187

Warning!  uninitialized constant Fog::Compute::OpenStack

10/15/2015 02:43 PM - Steve Banik

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Compute resources - OpenStack   

Target version: 1.10.2   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.9.2

Bugzilla link: 1272028 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3200

  

Description

This occurs when I attempt to power on or power off a Google instance, however, the power on/off succeeds.  Full trace is attached.

Related issues:

Has duplicate Foreman - Bug #13081: uninitialized constant Fog::Compute::Open... Duplicate 01/08/2016

Associated revisions

Revision 49c332e5 - 02/23/2016 03:16 AM - Tom Caspy

fixes #12187 - checking if OpenStack is defined before calling that constant

Revision cf5cdb7a - 02/23/2016 09:59 AM - Tom Caspy

fixes #12187 - checking if OpenStack is defined before calling that constant

(cherry picked from commit 49c332e55d61d08eb51ebec8029889a7e396e125)

Revision 261e0f7b - 02/24/2016 12:33 PM - Tom Caspy

fixes #12187 - checking if OpenStack is defined before calling that constant

(cherry picked from commit 49c332e55d61d08eb51ebec8029889a7e396e125)

History

#1 - 10/20/2015 06:50 AM - Dominic Cleal

- translation missing: en.field_release set to 91

As a workaround, you can "yum install foreman-compute".

The issue comes from being able to install the GCE support (bundler group) without the Fog group (foreman-compute).  The view helper shouldn't

assume that the Fog::Compute::OpenStack class exists (simply doing vm.class.name and comparing strings would be enough).

#2 - 10/29/2015 05:42 AM - Dominic Cleal

- Difficulty set to trivial

#3 - 11/03/2015 07:21 AM - Dominic Cleal

- translation missing: en.field_release deleted (91)

Sorry, this hasn't been fixed in time for the 1.9.3 release, unsetting.

#4 - 01/08/2016 07:37 AM - Dominic Cleal

- Category changed from Compute resources - GCE to Compute resources - OpenStack

#5 - 01/08/2016 07:37 AM - Dominic Cleal
- Has duplicate Bug #13081: uninitialized constant Fog::Compute::OpenStack added

#6 - 02/17/2016 10:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/3200 added

#7 - 02/23/2016 04:02 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 49c332e55d61d08eb51ebec8029889a7e396e125.

#8 - 02/23/2016 04:28 AM - Dominic Cleal

- translation missing: en.field_release set to 123

#9 - 04/22/2016 07:28 AM - Daniel Lobato Garcia

- Bugzilla link set to 1272028
